Skip to main content
GET
Get Ai Visibility Cards

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string
required
workspace_id
string
required
project_id
string
required

Query Parameters

prev_collect_ids
string[] | null

Optional comparison collection IDs.

date_start
string<date>
required

Start of the date range (YYYY-MM-DD)

date_end
string<date> | null

End of the date range (YYYY-MM-DD). Defaults to end of period containing date_start.

period
enum<string>
default:week

Aggregation period: day, week, month, or year

Available options:
day,
week,
month,
year
sources
enum<string>[] | null
Available options:
Bing,
BingAIO,
ChatGPT,
Perplexity,
Google,
GoogleAIO,
GoogleAIMode,
Claude,
Gemini,
AmazonRufus,
Grok,
Copilot,
Mistral,
MuseSpark
thematics
string<uuid>[] | null

Filter by a list of thematic IDs

keyword_type
enum<string>[] | null

Filter by a list of keyword types

Available options:
Generic,
Brand
funnel_stages
enum<string>[] | null

Filter by a list of Funnel Stages

Available options:
ToFu,
MoFu,
BoFu
persona_ids
string[] | null

Filter by a list of persona IDs

topic_ids
string[] | null

Filter by a list of topic IDs

get_neutrals
boolean | null

Filter by to get results related to neutral prompts, without weakness or strength

strength_ids
string[] | null

Filter by a list of strength IDs

weakness_ids
string[] | null

Filter by a list of weakness IDs

Response

Successful Response

The six metrics of the AI Visibility scorecard, over every selected engine.

ai_visibility_score
Metric · object
required

Mention-based score of the project's brand amongst the 10 first ranked mentions of each answer, 0-100 with one decimal.

visibility_score
Metric · object
required

Legacy visibility score over domain and brand slots, 0-100 with one decimal.

mention_presence_rate
Metric · object
required

Answers mentioning the project's brand over answers with a mention, in percent with one decimal.

average_position
Metric · object
required

Mean best rank of the project's brand mentions per answer, with one decimal. 0 means no eligible mention; lower is better.

share_of_mentions
Metric · object
required

The project's brand mention rows over every mention row, in percent with one decimal.

sentiment_score
SentimentScoreMetric · object
required

Mean sentiment of the project's scored citations, -1 to +1 with two decimals.